package esercizio1;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Scanner;

public class Principale {

	public static void main(String[] args) {
		Scanner tastiera = new Scanner(System.in);
		AziendaSanitaria a = new AziendaSanitaria();
				
		/*Prova del metodo aggiungiPaziente*/
		System.out.println("Inserisci il medico da aggiungere all'azienda sanitaria: ");
		String nominativo = tastiera.nextLine();
		while(!nominativo.equalsIgnoreCase("-1")) {
			if(a.aggiungiMedico(new Medico(nominativo))) {
				System.out.println("Inserimento andato a buon fine\n\n");
			}else
				System.out.println("Inserimento non riuscito\n\n");
			
			System.out.println("Inserisci il medico da aggiungere all'azienda sanitaria: ");
			System.out.println("(-1) per terminare");
			nominativo = tastiera.nextLine();
		}
		
		/*Prova del metodo aggiungiPaziente*/
		System.out.println("Inserisci il numero tessera del paziente: ");
		int numTessera = tastiera.nextInt();
		while(numTessera != -1) {
			nominativo = tastiera.nextLine();
			System.out.println("Inserisci nome del medico curante: ");
			nominativo = tastiera.nextLine();
			
			if(a.aggiungiPaziente(numTessera, new Medico(nominativo))) {
				System.out.println("Inserimento andato a buon fine\n\n");
			}else
				System.out.println("Inserimento non riuscito\n\n");
			
			System.out.println("Inserisci il numero tessera del paziente: ");
			System.out.println("(-1) per terminare");
			numTessera = tastiera.nextInt();
		}
		
		nominativo = tastiera.nextLine(); // serve per ripulire il buffer di input
		/*Prova del metodo listaMedico*/
		System.out.println("Inserisci il nome del medico per avere la lista dei suoi pazienti");
		nominativo = tastiera.nextLine();
		ArrayList<Paziente> pazienti = a.listaMedico(new Medico(nominativo));
		Iterator <Paziente> iteratore = pazienti.iterator();
		while(iteratore.hasNext()) {
			System.out.println(iteratore.next().toString()); // anche senza la chiamata a toString() in quanto implicita
		}
		
		/*Prova del metodo statMedico*/
		System.out.println("Il medico che ha il maggior numero di pazienti :\n" + a.statMedico().toString()); // vale il commento sopra
		
		tastiera.close();

	}

}
